#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = rpaths

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src \
	    python3 -m sphinx -b html -N doc/ $(CURDIR)/debian/python-rpaths-doc/usr/share/doc/python-rpaths-doc/html
	dh_sphinxdoc
endif
